Subject: Re: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: Stefan Kangas <[email-masked]>
Date: Sun, 26 May 2024 16:06:31 -0700

Eli Zaretskii <[email-masked]> writes:

> I think Python 3 should be preferred if the user prefers it.  And if
> the python interpreter invoked by "python" is not the preferred
> version, then how can Emacs know which one is the preferred version?

If we do still care about Python 2, why should we test using only _one_
version?  If both are available, surely it's better to run the test
using both.

If we don't want to do that, it makes more sense to prefer Python 3.
This given that Python 2 is EOL since 4+ years, and is less and less
likely to be relevant.

For example, RHEL 8 will stop offical support for Python 2 next month,
and RHEL 9 doesn't ship with it.  Debian GNU/Linux has already dropped
Python 2 from its stable distribution.  And so on.